# Class WarWatcher.WarFilter

java.lang.Object
org.apache.catalina.ha.deploy.WarWatcher.WarFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  `WarWatcher`

protected static class WarWatcher.WarFilter extends Object implements FilenameFilter
File name filter for war files

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `WarFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(File path, String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WarFilter

    protected WarFilter()

- ## Method Details

  - ### accept

    public boolean accept(File path, String name)
    Specified by:
      `accept` in interface `FilenameFilter`